<?php

use App\Http\Controllers\SupportRequestController;
use Illuminate\Support\Facades\Route;

Route::post('/support-request', [SupportRequestController::class, 'store']);

Route::get('/support-requests',     [SupportRequestController::class, 'index'])->middleware('permission:support.request,view');
Route::get('/support-request/{id}', [SupportRequestController::class, 'show'])->middleware('permission:support.request,view');
Route::put('/support-request/{id}', [SupportRequestController::class, 'update'])->middleware('permission:support.request,edit');
